/*
 * global.v001 开发版公共css
 * 其他插件在package中.
 */

html,body,div,span,object,iframe,h1,h2,h3,h4,h5,h6,p,a,abbr,address,big,em,img,q,small,strike,strong,
sub,sup,tt,var,i,dl,dt,dd,ol,ul,li,form,fieldset,label,table,caption,tbody,thead,tfoot,tr,th,td,article,
aside,canvas,details,figure,figcaption,header,footer,hgroup,menu,nav,output,section,time,mark,audio,
video,input,select,button{margin:0;padding:0;border:0;font:12px/1.5 'Microsoft YaHei',Arial,sans-serif}
/*去除默认样式*/
ul,ol,li{list-style:none;}
/*表格边框合并，边框距零*/
table{border-collapse:collapse;border-spacing:0;}
/*继承父元素的字体系列样式*/
input,select,textarea,button{font-family:inherit;}
/*清除浮动*/
.clear-both{ clear:both}
.clear-both:after { content:' '; clear:both;display:initial;}
.cf:after{content:"";display:table;clear:both;overflow:hidden;}
/*a链接*/
a{text-decoration:none;color:#333;}
/*去除点击高亮效果*/
a,button,input,select,img,label{-webkit-tap-highlight-color:rgba(0,0,0,0);-webkit-tap-highlight-color:transparent;outline:medium none;}
input::-moz-focus-inner{border:none;padding:0;}
select, input{vertical-align:middle;}
/*去掉苹果的默认UI来渲染按钮*/
input[type="submit"],input[type="reset"],input[type="button"],button,select{-webkit-appearance:none;}
/*placeholder文本颜色*/
input::-webkit-input-placeholder,textarea::-webkit-input-placeholder{
color:#ccc;
}
input:-moz-placeholder,textarea:-moz-placeholder{
color:#ccc;
}
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
/*重定字体样式*/
h1{font-size: 24px;}
h2{font-size: 20px;}
h3{font-size: 18px;}
h4{font-size: 16px;}
h5{font-size: 14px;}
h6{font-size: 12px;}

/*html5标签*/
header,footer,section,article,aside,nav,figure{display:block;}
/*长英文字母 数字 换行*/
p{word-break:break-all;word-wrap:break-word;}
/*去除默认样式*/
h1,h2,h3,h4,h5,h6,strong,i,em,address, caption, cite, code, dfn, th, var{font-weight:normal;font-style:normal;}

fieldset, img{border:none;display:block;}
/*去除长按a链接弹框*/
html,body{-webkit-touch-callout:none; height: 100%; width: 100%;}
/*通用ul样式*/
ul,ol { margin-top: 0; margin-bottom: 10px;}
ul ul,ol ul,ul ol,ol ol { margin-bottom: 0;}
dl { margin-top: 0; margin-bottom: 20px;}
dt,dd { line-height: 1.42857143;}
dt { font-weight: bold;}
dd { margin-left: 0;}
/*以下为常用样式*/
.gl-left{float:left;}
.gl-right{float:right;}
.gl-zoom{zoom:1;}
.gl-db{ display:block}
.gl-idb{ display:inline-block;}
.text-left { text-align: left;}
.text-right { text-align: right;}
.text-center { text-align: center;}
.text-justify { text-align: justify;}
.text-nowrap { white-space: nowrap;}
.text-flex{display: -webkit-flex;display: flex;-webkit-align-items: center;align-items: center;-webkit-justify-content: center;justify-content: center; width: 100%;  min-height: 120px;}
.text-muted{color: #777;}
.text-bold{ font-weight: bold;}
.close { float: right; font-size: 21px; font-weight: 300; line-height: 1; color: #000; text-shadow: none; opacity: .2;}
.fade{opacity: 0;-webkit-transition: opacity .15s linear;-o-transition: opacity .15s linear;transition: opacity .15s linear;}
.fade.in{opacity: 1;}
.collapse{display: none;}
.collapse.in{display: block;}
.label { background-color: #d1dade; color: #5e5e5e; font-size: 10px; font-weight: 600; padding: 3px 8px; text-shadow: none ;font-weight: normal;}
.badge-warning, .label-warning {  background-color: #f8ac59; color: #FFF;}
.badge-primary, .label-primary{background-color:#1ab394;color:#FFF}
.badge-success, .label-success{background-color:#1c84c6;color:#FFF}
.badge-warning, .label-warning{background-color:#f8ac59;color:#FFF}
.badge-warning-light,.label-warning-light{background-color:#f8ac59;color:#fff}
.badge-danger,.label-danger{background-color:#ed5565;color:#FFF}
.badge-info,.label-info{background-color:#23c6c8;color:#FFF}
.badge-inverse,.label-inverse{background-color:#262626;color:#FFF}
.badge-white,.label-white{background-color:#FFF;color:#5E5E5E}
.badge-disable,.label-disable{background-color:#2A2E36;color:#8B91A0}
.badge-title{background-color:#f7f7f7}
.nav{padding-left: 0; margin-bottom: 0; list-style: none;}
button.close { -webkit-appearance: none; padding: 0; cursor: pointer; background: 0 0; border: 0;}
code { background-color: #F9F2F4; border-radius: 4px; color: #ca4440;padding: 2px 4px; white-space: nowrap;}

/*按钮样式*/
.btn{ padding: 6px 12px; cursor: pointer; transition:all .2s;-webkit-transition: all .2s;}
.btn-dark { color: #fff; background-color: #fff;border-color: #f5f5f5;}
.btn-outline.btn-dark{ background-color: inherit; color: #fff; border: 1px solid #f5f5f5;}
.btn-dark:hover{ background-color: #fff; border-color: #fff;color:#545454;}
.btn-dark:active{ background-color: #dedede; border-color: #dedede; color:#545454;}
.btn-block { display: block; width: 100%;}
.btn-default { color: #fff; background-color: #c3c3c3;border-color: #c3c3c3;}
.btn-outline.btn-default{ background-color: inherit; color: #848484; border: 1px solid #c3c3c3;}
.btn-default:hover{background-color: #c3c3c3; border-color: #c3c3c3; color:#848484;}
.btn-default:active{background-color: #afafaf; border-color: #afafaf; color:#848484;}
.btn-primary { color: #fff; background-color: #62a8ea;border-color: #62a8ea;}
.btn-outline.btn-primary { background-color: inherit; color: #62a8ea; border: 1px solid #62a8ea;}
.btn-primary:hover{background-color: #1f85e4; border-color: #1f85e4; color:#fff;}
.btn-primary:active{background-color: #016bce; border-color: #016bce; color:#fff;}
.btn-success { color: #fff; background-color: #46be8a; border-color: #46be8a;}
.btn-outline.btn-success { background-color: inherit; color: #46be8a; border: 1px solid #46be8a;}
.btn-success:hover{background-color: #27AE60; border-color: #27AE60; color:#fff;}
.btn-success:active{background-color: #048c3d; border-color: #048c3d; color:#fff;}
.btn-info { color: #fff; background-color: #57c7d4; border-color: #57c7d4;}
.btn-outline.btn-info { background-color: inherit; color: #57c7d4; border: 1px solid #57c7d4;}
.btn-info:hover{background-color: #3897a2; border-color: #3897a2; color:#fff;}
.btn-info:active{background-color: #118390; border-color: #118390; color:#fff;}
.btn-warning { color: #fff; background-color: #f2a654; border-color: #f2a654;}
.btn-outline.btn-warning { background-color: inherit; color: #f2a654; border: 1px solid #f2a654;}
.btn-warning:hover{background-color: #ff921d; border-color: #ff921d; color:#fff;}
.btn-warning:active{background-color: #ff8400; border-color: #ff8400; color:#fff;}
.btn-danger { color: #fff; background-color: #f96868; border-color: #f96868;}
.btn-outline.btn-danger { background-color: inherit; color: #f96868; border: 1px solid #f96868;}
.btn-danger:hover{background-color: #ef4e4e; border-color: #ef4e4e; color:#fff;}
.btn-danger:active{background-color: #c33d3d; border-color: #c33d3d; color:#fff;}
.btn-disable { color: #fff; background-color: #5a5a5a; border-color: #5a5a5a;}
.btn-outline.btn-disable { background-color: inherit; color: #5a5a5a; border: 1px solid #5a5a5a;}
.btn-disable:hover{background-color: #2b2b2b; border-color: #2b2b2b; color:#fff;}
.btn-disable:active{background-color: #000000; border-color: #000000; color:#fff;}

.btn-small{ padding:2px 6px;}
.btn-medium{ padding:6px 12px;}
.btn-large{ padding:8px 18px;}
.btn-x-large{ padding:12px 24px;}

.capsule{ display: inline-block;}
.capsule::before{ content:''; display: table;}
.capsule::after{content:'';  display: table; clear: both;}
.capsule .capsule-left{ float: left; border-radius: 5px 0px 0px 5px; border: 1px solid rgba(0,0,0,.1);}
.capsule .capsule-center{ float: left; border-top: 1px solid rgba(0,0,0,.1); border-bottom: 1px solid rgba(0,0,0,.1);}
.capsule .capsule-right{ float: left;  border-radius: 0px 5px 5px 0px;   border: 1px solid rgba(0,0,0,.1);}
/*提示框*/
.alert { padding: 15px; margin-bottom: 20px; border: 1px solid transparent; border-radius: 4px;}
.alert-dismissable,.alert-dismissible {  padding-right: 35px;}
.alert-dismissible .close { position: relative; right: -21px; color: inherit; top: -4px; text-decoration: none; opacity: .6;}
.alert-dismissible .close:hover{ opacity:.8}
.alert-dismissible .close:active{ opacity:.9}
.alert-primary {color: #62a8ea;background-color: rgba(232,241,248,.8); border-color: #c6e0f5;}
.alert-primary hr {border-top-color: #d4e5f2;}
.alert-primary .alert-link {color: #358fe4; font-weight: bold; cursor: pointer;}
.alert.alert-emp.alert-primary {color: #fff;background-color: #62a8ea;border-color: #62a8ea;}
.alert-success {color: #3c763d;background-color: #dff0d8; border-color: #d6e9c6;}
.alert-success hr {border-top-color: #c9e2b3;}
.alert-success .alert-link {color: #2b542c; font-weight: bold; cursor: pointer;}
.alert.alert-emp.alert-success { color: #fff; background-color: #46be8a; border-color: #46be8a;}
.alert-info {color: #31708f;background-color: #d9edf7;border-color: #bce8f1;}
.alert-info hr {border-top-color: #a6e1ec;}
.alert-info .alert-link { color: #245269; font-weight: bold; cursor: pointer;}
.alert.alert-emp.alert-info { color: #fff; background-color: #57c7d4; border-color: #57c7d4;}
.alert-warning {color: #8a6d3b;background-color: #fcf8e3;border-color: #faebcc;}
.alert-warning hr {border-top-color: #f7e1b5;}
.alert-warning .alert-link {color: #66512c; font-weight: bold; cursor: pointer;}
.alert.alert-emp.alert-warning { color: #fff; background-color: #f2a654; border-color: #f2a654;}
.alert-danger {color: #a94442;background-color: #f2dede;border-color: #ebccd1;}
.alert-danger hr {border-top-color: #e4b9c0;}
.alert-danger .alert-link {color: #843534; font-weight: bold; cursor: pointer;}
.alert.alert-emp.alert-danger { color: #fff; background-color: #f96868; border-color: #f96868;}
.alert-disable {color: #2a2e36; background-color: #f3f3f3; border-color: #e0e0e0;}
.alert-disable hr {border-top-color: #e4b9c0;}
.alert-disable .alert-link { color: #2a2e36; font-weight: bold; cursor: pointer;}
.alert.alert-emp.alert-disable { color: #fff; background-color: #5a5a5a; border-color: #5a5a5a;}
.alert.alert-emp.alert-primary .alert-link,.alert.alert-emp.alert-success .alert-link,.alert.alert-emp.alert-info .alert-link,.alert.alert-emp.alert-warning .alert-link,.alert.alert-emp.alert-danger .alert-link,.alert.alert-emp.alert-disable .alert-link{color:#fff}

/*圆角样式*/
.bd-radius-3{ border-radius: 3px;}
.bd-radius-5{ border-radius: 5px;}
.bd-radius-10{ border-radius: 10px;}
.bd-radius-max{ border-radius: 500px;}
.bd-radius-100{ border-radius: 50%;}

/*背景颜色以及a标签颜色*/
.text-primary {color: #1ABC9C;}
a.text-primary:hover,
a.text-primary:focus{color: #16A085;}
.text-success{color: #2ECC71;}
a.text-success:hover,
a.text-success:focus{color: #27AE60;}
.text-info{color: #3498DB;}
a.text-info:hover,
a.text-info:focus{color: #2980B9;}
.text-warning{color: #F1C40F;}
a.text-warning:hover,
a.text-warning:focus{color: #F39C12;}
.text-danger{color: #E74C3C;}
a.text-danger:hover,
a.text-danger:focus{color: #C0392B;}
.text-describe{color: #a5a5a5;}
a.text-describe:hover,
a.text-describe:focus{color: #868686;}
.text-default{color: white;}
a.text-default:hover,
a.text-default:focus{color: white;}
.bg-primary{color: #fff;background-color: #1ABC9C;}
a.bg-primary:hover,
a.bg-primary:focus{background-color: #16A085;}
.bg-success{background-color: #dff0d8;}
a.bg-success:hover,
a.bg-success:focus{background-color: #c1e2b3;}
.bg-info{background-color: #d9edf7;}
a.bg-info:hover,
a.bg-info:focus{background-color: #afd9ee;}
.bg-warning{background-color: #fcf8e3;}
a.bg-warning:hover,
a.bg-warning:focus{background-color: #f7ecb5;}
.bg-danger{background-color: #f2dede;}
a.bg-danger:hover,
a.bg-danger:focus{background-color: #e4b9b9;}
.bg-describe{background-color: #a5a5a5;}
a.bg-describe:hover,
a.bg-describe:focus{background-color: #868686;}
/*表单样式*/
.form-horizontal{}
.form-group{border: 1px solid #e3e3e3; margin-bottom: 12px;background: #f3f3f3;}
.form-control {width: 100%; padding: 8px 8px;display: block;}
.control-label { float: left; text-align: center; padding: 8px; font-size: 12px; background: #f3f3f3; min-width: 90px;}
.control-cnt { display: flex;min-height: 34px; border-left: 1px solid #e3e3e3; background: white; position: relative;}
.control-cnt::after{ display: table; content: ''; clear: both;}
label.crbox { padding: 7px 8px; margin-left: 0px;}
label input[type="radio"] ,label input[type="checkbox"] { margin-right: 3px; position: relative; top: -1px;}
select.form-control{}
textarea{padding: 9px; resize: none; font-size: 12px; border:1px solid #e3e3e3; outline: none;}
.form-describe{ position: absolute; bottom: -23px; left: 8px;}
.form-group textarea{ border: 0;}
:disabled{ cursor: no-drop;}
.has-primary{border: 1px solid #1f85e4;}
.has-primary .control-label {color: white; background: #62a8ea;}
.has-primary .control-cnt {border-left: 1px solid #1f85e4;}
.has-succes{border: 1px solid #27AE60;}
.has-succes .control-label {color: white; background: #46be8a;}
.has-succes .control-cnt {border-left: 1px solid #27AE60;}
.has-info{border: 1px solid #3897a2;}
.has-info .control-label {color: white; background: #57c7d4;}
.has-info .control-cnt {border-left: 1px solid #3897a2;}
.has-warning{border: 1px solid #ff921d;}
.has-warning .control-label {color: white; background: #f2a654;}
.has-warning .control-cnt {border-left: 1px solid #ff921d;}
.has-danger{border: 1px solid #ef4e4e;}
.has-danger .control-label {color: white; background: #f96868;}
.has-danger .control-cnt {border-left: 1px solid #ef4e4e;}
.has-disbale{border: 1px solid #2b2b2b;}
.has-disbale .control-label {color: white; background: #5a5a5a;}
.has-disbale .control-cnt {border-left: 1px solid #2b2b2b;}

/*字体大小*/
.font-small{ font-size:12px;}
.font-medium{ font-size:14px;}
.font-large{ font-size:16px;}
.font-x-large{ font-size:18px;}
/*模块化样式*/
.gl-row{ position: relative; margin-right: -12px; margin-left: -12px;}
.gl-part1,.gl-part2,.gl-part3,.gl-part4,.gl-part5,.gl-part6,.gl-part7,.gl-part8,.gl-part9,.gl-part10,.gl-part11,.gl-part12{ float: left;box-sizing: border-box; padding: 0px 12px; min-height: 1px;}
.gl-part12{width:100%}
.gl-part11{width:91.66666667%}
.gl-part10{width:83.33333333%}
.gl-part9{width:75%}
.gl-part8{width:66.66666667%}
.gl-part7{width:58.33333333%}
.gl-part6{width:50%}
.gl-part5{width:41.66666667%}
.gl-part4{width:33.33333333%}
.gl-part3{width:25%}
.gl-part2{width:16.66666667%}
.gl-part1{width:8.33333333%}
/*需要无限增加的样式*/
.gl-left{ box-sizing:border-box;}
.gl-all-amt, a, .sidebar-menu > li > a{ transition:all .5;-webkit-transition: all .5s; }
.gl-row:before,
.gl-row:after{display: table;content: " ";}
.gl-row:after{ clear: both;}
/*间隔*/
.m-t-none{margin-top:0}
.m-t-xxs{margin-top:1px}
.m-t-xs{margin-top:5px}
.m-t-s{margin-top:8px}
.m-t-sm{margin-top:10px}
.m-t{margin-top:15px}
.m-t-md{margin-top:20px}
.m-t-lg{margin-top:30px}
.m-t-xl{margin-top:40px}
.m-t-n-xxs{margin-top:-1px}
.m-t-n-xs{margin-top:-5px}
.m-t-n-s{margin-top:-8px}
.m-t-n-sm{margin-top:-10px}
.m-t-n{margin-top:-15px}
.m-t-n-md{margin-top:-20px}
.m-t-n-lg{margin-top:-30px}
.m-t-n-xl{margin-top:-40px}

.m-r-none{margin-right:0}
.m-r-xxs{margin-right:1px}
.m-r-xs{margin-right:5px}
.m-r-s{margin-right:8px}
.m-r-sm{margin-right:10px}
.m-r{margin-right:15px}
.m-r-md{margin-right:20px}
.m-r-lg{margin-right:30px}
.m-r-xl{margin-right:40px}
.m-r-n-xxs{margin-right:-1px}
.m-r-n-xs{margin-right:-5px}
.m-r-n-sm{margin-right:-10px}
.m-r-n{margin-right:-15px}
.m-r-n-md{margin-right:-20px}
.m-r-n-lg{margin-right:-30px}
.m-r-n-xl{margin-right:-40px}

.m-b-none{margin-bottom:0}
.m-b-xxs{margin-bottom:1px}
.m-b-xs{margin-bottom:5px}
.m-b-sm{margin-bottom:10px}
.m-b{margin-bottom:15px}
.m-b-md{margin-bottom:20px}
.m-b-lg{margin-bottom:30px}
.m-b-xl{margin-bottom:40px}
.m-b-n-xxs{margin-bottom:-1px}
.m-b-n-xs{margin-bottom:-5px}
.m-b-n-sm{margin-bottom:-10px}
.m-b-n{margin-bottom:-15px}
.m-b-n-md{margin-bottom:-20px}
.m-b-n-lg{margin-bottom:-30px}
.m-b-n-xl{margin-bottom:-40px}

.m-l-none{margin-left:0}
.m-l-xxs{margin-left:1px}
.m-l-xs{margin-left:5px}
.m-l-sm{margin-left:10px}
.m-l{margin-left:15px}
.m-l-md{margin-left:20px}
.m-l-lg{margin-left:30px}
.m-l-xl{margin-left:40px}
.m-l-n-xxs{margin-left:-1px}
.m-l-n-xs{margin-left:-5px}
.m-l-n-sm{margin-left:-10px}
.m-l-n{margin-left:-15px}
.m-l-n-md{margin-left:-20px}
.m-l-n-lg{margin-left:-30px}
.m-l-n-xl{margin-left:-40px}

.p-t-none{padding-top:0 !important}
.p-r-none{padding-right:0 !important}
.p-b-none{padding-bottom:0 !important}
.p-l-none{padding-left:0 !important}

/*设置宽后将会居中*/
.m-auto{ margin: 0 auto; display: block;}
/*自适应*/
@media (min-width: 768px){}
@media (min-width: 992px){}
@media (min-width: 1200px){}
